From 2c4d7864300d1fd5bec5a9018006ab39c7fc9320 Mon Sep 17 00:00:00 2001
From: Shanmathi Paramanandam <shanmathi.paramanandam@multicorewareinc.com>
Date: Wed, 12 Mar 2025 10:15:14 +0530
Subject: [PATCH] recon playback 12bit support

---
 source/output/reconplay.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/source/output/reconplay.cpp b/source/output/reconplay.cpp
index 3daba0596..27d9ad6d7 100644
--- a/source/output/reconplay.cpp
+++ b/source/output/reconplay.cpp
@@ -73,7 +73,7 @@ ReconPlay::ReconPlay(const char* commandLine, x265_param& param)
     if (outputPipe)
     {
         const char* csp = (colorSpace >= X265_CSP_I444) ? "444" : (colorSpace >= X265_CSP_I422) ? "422" : "420";
-        const char* depth = (param.internalBitDepth == 10) ? "p10" : "";
+        const char* depth = (param.internalBitDepth == 10) ? "p10" : (param.internalBitDepth == 12) ? "p12" : "";
 
         fprintf(outputPipe, "YUV4MPEG2 W%d H%d F%d:%d Ip C%s%s\n", width, height, param.fpsNum, param.fpsDenom, csp, depth);
 
-- 
2.47.1.windows.1

